@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ $directory->name }}</div>

                <div class="card-body">
                    <p>Name: {{ $directory->name }}</p>

                    <div>
                        <a class="btn btn-primary"
                           href="{{ action('DirectoryController@edit', ['Directory' => $directory]) }}">
                             Edit
                        </a>

                        <form method="POST"
                              action="{{ action('DirectoryController@destroy', ['Directory' => $directory]) }}"
                              style="display: inline-block">
                            {{ csrf_field() }}
                            {{ method_field("DELETE") }}
                            <button class="btn btn-danger">
                                 Delete
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
